Subject: Re: [bug#29409] [PATCH] tests: install: Increase extlinux install partition size.

From: [email-masked] (Ludovic Courtès)
Date: Sun, 03 Dec 2017 00:34:29 +0100

Hi,

Mathieu Othacehe <[email-masked]> skribis:

>> Presumably that’s because of grafts.
>>
>> The tests in (gnu tests install) go to great lengths to ensure that this
>> doesn’t happen.  At least you’ll have to use --no-grafts.
>
> On two different machines, with those two commands :
>
> GUIX_BUILD_OPTIONS="--no-grafts" && make check-system TESTS="installed-os"
> make check-system TESTS="installed-os"
>
> i have the same result, the vm tries to download binutils sources.

Indeed, I experience the same thing, and Marius and I were discussing it
on IRC.

I’m pretty sure it went well
ca. 15c2ddc12460c9d1e26fb89639b460b8a0b3ffc0, but I haven’t found what’s
causing the problem.

To be continued…

Ludo’.